package com.ruoyi.orderManagement.mapper;

import com.ruoyi.orderManagement.domain.Ftmsorderbills;
import com.ruoyi.orderManagement.domain.Ftmsorderbillscars;

import java.util.List;
import java.util.Map;

/**
 * 车队派车Mapper接口
 *
 * @author ruoyi
 * @date 2021-02-22
 */
public interface FtmsorderbillscarsMapper {
    /**
     * 查询车队派车
     *
     * @param id 车队派车ID
     * @return 车队派车
     */
    public Ftmsorderbillscars selectftmsorderbillscarsById(Long id);

    /**
     * 查询车队派车列表
     *
     * @param ftmsorderbillscars 车队派车
     * @return 车队派车集合
     */
    public List<Ftmsorderbillscars> selectftmsorderbillscarsList(Ftmsorderbillscars ftmsorderbillscars);

    /**
     * 新增车队派车
     *
     * @param ftmsorderbillscars 车队派车
     * @return 结果
     */
    public int insertftmsorderbillscars(Ftmsorderbillscars ftmsorderbillscars);

    /**
     * 修改车队派车
     *
     * @param ftmsorderbillscars 车队派车
     * @return 结果
     */
    public int updateftmsorderbillscars(Ftmsorderbillscars ftmsorderbillscars);

    /**
     * 删除车队派车
     *
     * @param id 车队派车ID
     * @return 结果
     */
    public int deleteftmsorderbillscarsById(Long id);

    /**
     * 批量删除车队派车
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteftmsorderbillscarsByIds(Long[] ids);

    /**
     *  根据主表id删除对应信息
     * @param id 主表id
     * @return 结果
     */
    public int deleteftmsorderbillscarsByPId(long id);

    /**
     *  根据原始来源id 查询是否可以撤回计划
     * @param ftmsorderbills 计划id
     * @return 结果
     */
    public int planSelectCarsCount(Ftmsorderbills ftmsorderbills);

    /**
     *  查询  查询车队派车数量
     * @param ftmsorderbillscars
     * @return 结果
     */
    public int selectftmsorderbillscarsCount(Ftmsorderbillscars ftmsorderbillscars);

    /**
     *  根据条件查询 查询id
     * @param scars 查询条件
     * @return  结果
     */
    public List<Ftmsorderbillscars> selectftmsorderbillscarsIdList(Ftmsorderbillscars scars);

}
